import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {AppService} from "../../../service/appHttpService";

/**
 * Generated class for the SelectRelayPersonPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-select-relay-person',
  templateUrl: 'select-relay-person.html',
})
export class SelectRelayPersonPage {

  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService: AppService) {
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad SelectRelayPersonPage');
    this.getPerson();
  }

  getPerson(){
      const data = {
          date:'2018/10/01',
          gender:'0',
          id:''
      };
      this.appService.ObserverHttpGetOption('/wisdomgroup/dutyPerson/getPersonListOutOfMine',data)
          .subscribe((res)=>{
          })
  }

}
